Skip to main content
GET
/
api
/
admin
/
blacklist
/
{id}
Get blacklist value
curl --request GET \
  --url https://{instance}.{env}.on-hellgate.cloud/api/admin/blacklist/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_hint": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "field_path": "$.device.ip",
  "inserted_at": "2023-11-07T05:31:56Z",
  "source_decision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "value": "1.2.3.4"
}

Authorizations

Authorization
string
header
required

HS256-signed JWT bearer token, obtained via the OAuth2 client-credentials grant (see Authentication).

Path Parameters

id
string
required

Response

Blacklist value

id
string<uuid>
display_hint
string | null

Human-readable hint, e.g. masked PAN for $.credential_fingerprint entries.

expires_at
string<date-time> | null

When the entry expires. Null means it never expires.

field_path
string

JSON path of the field, e.g. $.device.ip.

Example:

"$.device.ip"

inserted_at
string<date-time>
source_decision_id
string<uuid> | null

ID of the decision that triggered this entry.

updated_at
string<date-time>
value
string

The blacklisted value for this field.

Example:

"1.2.3.4"